=== src/plugins/daemon/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(core)
add_subdirectory(filemanager1)
add_subdirectory(tag)
add_subdirectory(vault)
add_subdirectory(recent)
