=== examples/dfm-extension-example/debian/changelog ===
dfm-extension-example (1.0.0) unstable; urgency=medium

  * Initial Release.

 --  Zhang Sheng <zhangsheng@uniontech.com>  Tue, 11 Feb 2025 10:26:58 +0800
