=== autotests/plugins/CMakeLists.txt ===
add_subdirectory(dfmplugin-burn)
add_subdirectory(dfmplugin-search)

# Common plugins unit tests
add_subdirectory(dfmplugin-utils)
add_subdirectory(dfmplugin-menu)
add_subdirectory(dfmplugin-propertydialog)
add_subdirectory(dfmplugin-tag)
add_subdirectory(dfmplugin-trashcore)
add_subdirectory(dfmplugin-emblem)
add_subdirectory(dfmplugin-fileoperations)
add_subdirectory(dfmplugin-bookmark)
add_subdirectory(dfmplugin-dirshare)

# FileManager plugins unit tests
add_subdirectory(dfmplugin-vault)
#add_subdirectory(dfmplugin-workspace)
add_subdirectory(dfmplugin-trash)
#add_subdirectory(dfmplugin-titlebar)
add_subdirectory(dfmplugin-smbbrowser)
#add_subdirectory(dfmplugin-sidebar)
add_subdirectory(dfmplugin-recent)
add_subdirectory(dfmplugin-myshares)
add_subdirectory(dfmplugin-optical)
add_subdirectory(dfmplugin-encrypt-manager)
#add_subdirectory(dfmplugin-disk-encrypt-entry)
add_subdirectory(dfmplugin-core)
add_subdirectory(dfmplugin-detailspace)
add_subdirectory(dfmplugin-avfsbrowser)
add_subdirectory(dfmplugin-computer)
