=== autotests/libs/dfm-base/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Use DFM test utilities to create library test
dfm_create_library_test("dfm-base")
