=== autotests/plugins/dfmplugin-burn/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Use DFM test utilities to create plugin test
dfm_create_plugin_test("dfmplugin-burn" "${DFM_SOURCE_DIR}/plugins/common/dfmplugin-burn")
