=== autotests/plugins/dfmplugin-fileoperations/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Use DFM enhanced test utilities to create plugin test
dfm_create_plugin_test_enhanced("dfmplugin-fileoperations" "${DFM_SOURCE_DIR}/plugins/common/dfmplugin-fileoperations")
