=== debian/changelog ===
dde-file-manager (6.5.80) unstable; urgency=medium

  * fix tree view issues in MyShares plugin

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 18 Jul 2025 09:44:55 +0800

dde-file-manager (6.5.79) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 17 Jul 2025 21:45:19 +0800

dde-file-manager (6.5.78) unstable; urgency=medium

  * auto tests and fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 17 Jul 2025 18:55:41 +0800

dde-file-manager (6.5.77) unstable; urgency=medium

  * fix bugs. 

 -- Liuyangming <liuyangming@uniontech.com>  Wed, 16 Jul 2025 10:17:07 +0800

dde-file-manager (6.5.76) unstable; urgency=medium

  * fix some bugs.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 10 Jul 2025 19:56:22 +0800

dde-file-manager (6.5.75) unstable; urgency=medium

  * Revert a bug commit

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 04 Jul 2025 18:13:12 +0800

dde-file-manager (6.5.74) unstable; urgency=medium

  * fix bugs
  * add timeout for filemanager.service

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 03 Jul 2025 20:11:15 +0800

dde-file-manager (6.5.73) unstable; urgency=medium

  * Revert 4a3e8474a4bd3b3

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 03 Jul 2025 16:10:58 +0800

dde-file-manager (6.5.72) unstable; urgency=medium

  * update translations
  * Optimize file name sorting

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 03 Jul 2025 15:47:40 +0800

dde-file-manager (6.5.71) unstable; urgency=medium

  * optimize mime type detection and reduce content-based fallback
  * disable QT_SCALE_FACTOR in pkexec mode to resolve scaling issues

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 02 Jul 2025 10:46:05 +0800

dde-file-manager (6.5.70) unstable; urgency=medium

  * Fix some sorting bugs
  * Fix filedialog not working

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 01 Jul 2025 21:20:46 +0800
