=== debian/changelog ===
dde-file-manager (6.5.86) unstable; urgency=medium

  * add translations

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 13 Aug 2025 17:29:08 +0800

dde-file-manager (6.5.85) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 13 Aug 2025 17:25:09 +0800

dde-file-manager (6.5.84) unstable; urgency=medium

  * fix bugs
	* autotests 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 08 Aug 2025 15:26:36 +0800

dde-file-manager (6.5.83) unstable; urgency=medium

  * enable symlinks for template menu files

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 31 Jul 2025 16:52:35 +0800

dde-file-manager (6.5.82) unstable; urgency=medium

  * fix bugs
  * add autotests

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 31 Jul 2025 16:05:32 +0800

dde-file-manager (6.5.81) unstable; urgency=medium

  * autotests

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 24 Jul 2025 18:24:48 +0800
